The problem is I don't know how to select object without user dialog ..
method "selectobject" opens dialog for selection
I don't need this dialog...
I need to add object to selection without dialog...
could You advice which method should I use?
I'm studying at the moment "AddToSelList" but can...
there are interactive selection methods: selectobject etc,
but If I want to select for example some components in assembly by program without asking user...how can I do it?
can I acces to NX from Excel for example
...
Set UGNX = GetObject(, "NX.Application")
...
how to declare NX.application
should I write some info to registry about NX...?
what to do?
already tried these cases
in first case
[ufs.Draw.AskDisplayedObjects( dfview.tag,num_objects , objects)]
Runtime error:
NXOpen.NXException: Input tag is not a section view.
at NXOpen.UF.UFDraw.AskDisplayedObjects(Tag view, Int32& num_objects, Tag[]& objects)
in second...
could anyone to help
I know in GRIP but in VB :(
how to work with drawing objects
i need just to check colors of object
if color number is wrong, prompt the user...
where is mistake
error:"Number of indices is less than the number of dimensions of the indexed array" in line with...
please could You help in another thing
i need to turn on autoupdate in Sheetmetal flatpattern...
can not manage...
code:
Sub set_smd_pref
'sheet metal preferences setup
dim smd as UFSmd
dim fp_options() As UFSmd.FpPrefs
smd.AskFpPrefs(fp_options)...
i wanted to have toggle between none and associative in drawing view style ...
my code is
Option Strict Off
Imports System
Imports NXOpen
Imports NXOpen.UF
Imports NXOpen.UI
Imports NXOpen.Utilities
Imports NXOpen.Drawings
Module Module1
Sub Main()
Dim i, j As Integer...
Hello macro experts!
I need use UF_DRAW_extracted_edge to change current view style in drawing
could someone give the simple example...
I dont know when should use session when ufsesssion and what is difference...
thanks